# Asterisk Project : Asterisk 12 Application_OSPLookup

Added by wikibot , edited by wikibot on Aug 29, 2013

# OSPLookup()

### Synopsis

Lookup destination by OSP.

### Description

Looks up destination via OSP.

Input variables:

- `OSPINACTUALSRC` - The actual source device IP address in indirect mode.
- `OSPINPEERIP` - The last hop IP address.
- `OSPINTECH` - The inbound channel technology for the call.
- `OSPINHANDLE` - The inbound call OSP transaction handle.
- `OSPINTIMELIMIT` - The inbound call duration limit in seconds.
- `OSPINNETWORKID` - The inbound source network ID.
- `OSPINNPRN` - The inbound routing number.
- `OSPINNPCIC` - The inbound carrier identification code.
- `OSPINNPDI` - The inbound number portability database dip indicator.
- `OSPINSPID` - The inbound service provider identity.
- `OSPINOCN` - The inbound operator company number.
- `OSPINSPN` - The inbound service provider name.
- `OSPINALTSPN` - The inbound alternate service provider name.
- `OSPINMCC` - The inbound mobile country code.
- `OSPINMNC` - The inbound mobile network code.
- `OSPINTOHOST` - The inbound To header host part.
- `OSPINRPIDUSER` - The inbound Remote-Party-ID header user part.
- `OSPINPAIUSER` - The inbound P-Asserted-Identify header user part.
- `OSPINDIVUSER` - The inbound Diversion header user part.
- `OSPINDIVHOST` - The inbound Diversion header host part.
- `OSPINPCIUSER` - The inbound P-Charge-Info header user part.
- `OSPINCUSTOMINFON` - The inbound custom information, where `n` is the index beginning with `1` upto `8`.
  Output variables:

- `OSPOUTHANDLE` - The outbound call OSP transaction handle.
- `OSPOUTTECH` - The outbound channel technology for the call.
- `OSPDESTINATION` - The outbound destination IP address.
- `OSPOUTCALLING` - The outbound calling number.
- `OSPOUTCALLED` - The outbound called number.
- `OSPOUTNETWORKID` - The outbound destination network ID.
- `OSPOUTNPRN` - The outbound routing number.
- `OSPOUTNPCIC` - The outbound carrier identification code.
- `OSPOUTNPDI` - The outbound number portability database dip indicator.
- `OSPOUTSPID` - The outbound service provider identity.
- `OSPOUTOCN` - The outbound operator company number.
- `OSPOUTSPN` - The outbound service provider name.
- `OSPOUTALTSPN` - The outbound alternate service provider name.
- `OSPOUTMCC` - The outbound mobile country code.
- `OSPOUTMNC` - The outbound mobile network code.
- `OSPOUTTOKEN` - The outbound OSP token.
- `OSPDESTREMAILS` - The number of remained destinations.
- `OSPOUTTIMELIMIT` - The outbound call duration limit in seconds.
- `OSPOUTCALLIDTYPES` - The outbound Call-ID types.
- `OSPOUTCALLID` - The outbound Call-ID. Only for H.323.
- `OSPDIALSTR` - The outbound Dial command string.
  This application sets the following channel variable upon completion:

- `OSPLOOKUPSTATUS` - The status of OSPLookup attempt as a text string, one of
  - SUCCESS
  - FAILED
  - ERROR

### Syntax

    OSPLookup(exten,provider,options)

##### Arguments

- `exten` - The exten of the call.
- `provider` - The name of the provider that is used to route the call.
- `options`
  - `h` - generate H323 call id for the outbound call
  - `s` - generate SIP call id for the outbound call. Have not been implemented
  - `i` - generate IAX call id for the outbound call. Have not been implemented

### See Also

- Asterisk 12 Application_OSPAuth
- Asterisk 12 Application_OSPNext
- Asterisk 12 Application_OSPFinish

### Import Version

This documentation was imported from Asterisk Version Unknown